{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"To enable or disable signals collection for a specific environment, send a\nPUT request to `/v1/consent/{environment_id}` with an `enabled` boolean in the\nrequest body.\n\nThis endpoint only manages per-environment (`source: agent`) consent. To manage\nteam-level consent for Serverless Inference, use\n`PUT /v1/consent?source=inference` instead.\n","properties":{"path":{"type":"object","properties":{"environment_id":{"type":"string","format":"uuid","examples":["019fb3d2-8a56-72cc-8bf9-9d21510b2a99"],"description":"A unique identifier for an environment. For Harness Runtime, this is the Environment Config ID. Formerly named agent_id."}},"required":["environment_id"],"additionalProperties":false},"body":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Whether to enable signals collection for this environment."}},"required":["enabled"],"examples":[{"enabled":true}]}},"required":["path","body"],"additionalProperties":false},"name":"Update Consent for an Environment","id":"digitalocean.signals_update_consent","example":{"path":{"environment_id":"019fb3d2-8a56-72cc-8bf9-9d21510b2a99"},"body":{"enabled":true}},"maxRequests":1,"summary":false}}